#
# Do not change to use an other upstream as this will break tomahawk and clementine build.
#
Name: liblastfm
Version: 1.0.6
Release: %mkrel 1
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services
License: GPLv3 
Group: System/Libraries
Source: http://apt.last.fm/debian/pool/main/libl/%{name}/%{name}_%{version}.orig.tar.gz
URL: https://github.com/lastfm/liblastfm/
BuildRequires: qt4-devel
BuildRequires: pkgconfig 
BuildRequires: libsamplerate-devel
BuildRequires: fftw3-devel
BuildRequires: ruby
BuildRequires: cmake

%description
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

#---------------------------------------------------------------------

%define lastfm_major 1
%define libname %mklibname lastfm %{lastfm_major}

%package -n %{libname}
Group: System/Libraries
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services

%description -n %{libname}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

%files -n %{libname}
%{_libdir}/liblastfm.so.%{lastfm_major}*

#---------------------------------------------------------------------

%define finger_major 1
%define libnamefinger %mklibname lastfm_fingerprint %{finger_major}

%package -n %{libnamefinger}
Group: System/Libraries
Summary: Liblastfm is a collection of libraries to help you integrate Last.fm services

%description -n %{libnamefinger}
Liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

%files -n %{libnamefinger}
%{_libdir}/liblastfm_fingerprint.so.%{finger_major}*

#---------------------------------------------------------------------

%define develname %mklibname lastfm -d

%package -n %{develname}
Group: Development/C
Summary: %{name} development header
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamefinger} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Summary: %{name} development header
Install this package if you want do compile applications i
using the libtag library.

%files -n %{develname}
%doc README COPYING
%{_libdir}/*.so
%{_includedir}/*

#---------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt4 -DBUILD_FINGERPRINT=ON
%make

%install
%makeinstall_std -C build

mv README.md README


%changelog

* Fri Feb 01 2013 luigiwalser <luigiwalser> 1.0.6-1.mga3
+ Revision: 393932
- fix URLs

  + gw666 <gw666>
    - new version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 357635
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 30 2012 luigiwalser <luigiwalser> 1.0.3-1.mga3
+ Revision: 311648
- 1.0.3

* Sat Sep 08 2012 luigiwalser <luigiwalser> 1.0.2-1.mga3
+ Revision: 289854
- 1.0.2
- add fingerprint support

* Thu Aug 02 2012 neoclust <neoclust> 1.0.1-1.mga3
+ Revision: 277753
- Use new fork/upstream, version 1.0.1

* Sat Dec 10 2011 eatdirt <eatdirt> 0.3.3-2.mga2
+ Revision: 180334
- Rebuilt for fftw-3.3

* Mon Jan 24 2011 ahmad <ahmad> 0.3.3-1.mga1
+ Revision: 35838
- imported package liblastfm


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2011.0
+ Revision: 602240
- new version 0.3.3
- 0.3.2

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-2mdv2010.1
+ Revision: 520876
- rebuilt for 2010.1

* Mon Jun 15 2009 Helio Chissini de Castro <helio@mandriva.com> 0.3.0-1mdv2010.0
+ Revision: 386166
- imported package liblastfm


